V14.1 Upgrade ClamAV Still 'Updating'
Problem reported by CCWH - July 23, 2015 at 2:44 PM
Submitted
Hello all,
 
So, just updated our only Win2k8 R2 SM box.  Even though we only went from 14.0 to 14.1 it has broken Clam.  Sticking at Updating.  How can this still be an issue?!
 
Win2k12R2 updates were fine.
 
I have now got to go through and complete a full installation yada yada yada...this is crazy.
 
Can someone else confirm if they still have this sisue with these upgrades on Win2k8?  Just to confirm, correct redistributable  are already installed.

3 Replies

Reply to Thread
1
If you have 64-bit Win2K8 then you need MS Visual C++ 2010 x64. HOWEVER, for those Admins who have installed MS Visual C++ 2010 SP1 x64, then the installer doesn't think you have it installed but will fail when it attempts to install it (as you have a more recent version already installed). What I had to do was uninstall MS Visual C++ 2010 SP1 x64 and then install SmarterMail and let it install the non-SP1 version, but otherwise it worked fine on Win2K8 x64. 
0
Thanks Scarab...that's exactly what I needed to do.
 
So, there is a bug in the installer.  It needs to check if it has SP1 installed and if so allow it to run.  I have to remove SP1, rerun the installation (after a complete removal and reboot! Yay for our uptime stats!) and then update the SP1 packake as it will just get pulled by WSUS.
 
A note for the ST staff...this only effected our Win2k8R2 server.
0
I have just run through SM update from 14.1 to 14.2 on our LAST Win2k8 SM server...guess what....ANOTHER MS Visual C++ 2010 x64 & x86 error....guess what....'Updating' showing for ClamAV....
 
Honestly...we have recently renewed one of our Ent licenses and I really wonder why

Reply to Thread